<template>
  <form @submit.prevent>
          <h4 style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px; font-size:25px">Manufacturing productitem</h4>
          <p><strong>reload page to see changes (stage's document)</strong></p>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_name">
          <option disabled value="">Select productitem_name from the list below</option>
          <option>Torasemide</option>
          <option>Pankreatine</option>
          <option>Vinpochetine</option>
          <option>Fluconazole</option>
          <option>capA</option>
          </select>
          <my-input-productitem
          v-model="productitem.productitem_batch"
          type="text"
          placeholder="productitem_batch"/>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_shift">
          <option disabled value="">Select productitem_shift</option>
          <option>1</option>
          <option>2</option>
          <option>3</option>
          </select>
    <h4 style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;">Today is</h4>
          <my-input-productitem
          v-model="productitem.productitem_date"
          type="date"
          placeholder="(for ex 2023-02-12)"/>
          <my-button
          style="align-self: flex-end; margin-top: 15px"
          @click="checkUpdateForm"
          >Validate</my-button>
          <my-input-productitem
          v-model="productitem.dayString"
          type="text"
          placeholder="press 'Validate', will be filled automatically"/>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_checked">
            <option disabled value="">Batch status (choose READY FOR WORK to make document available, only ONE can be READY FOR WORK per 1 shift)</option>
            <option>READY FOR WORK</option>
            <option>CHECKED</option>
            <option>after GENERAL SANITARY CHECKED</option>
            <option>INICIALICED</option>
          </select>
          <select style="margin-top: 15px; padding-top: 10px; padding-bottom: 10px;" class="box" v-model="productitem.productitem_type_sanitary">
          <option disabled value="">Type of sanitary preparation planned after the batch</option>
          <option>Default</option>
          <option>General</option>
          </select>
          <my-button
          style="align-self: flex-end; margin-top: 15px"
          @click="updateProductitem"
          >UPDATE</my-button>
  </form>
</template>


<script>
import axios from 'axios';

export default {
  data() {
    return {
      productitem: {
        productitem_id: this.$route.params.productitem_id,
        productitem_name: this.$route.params.productitem_name,
        productitem_batch: this.$route.params.productitem_batch,
        productitem_shift: this.$route.params.productitem_shift,
        productitem_date: this.$route.params.productitem_date,
        productitem_checked: '',
        productitem_type_sanitary: '',
        dayString: '',
      },
      day: '',
      weekday: ['Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday'],
    }
  },
  methods: {
    checkUpdateForm: function (e) {
      const d = new Date(this.productitem.productitem_date);
      this.dayNumber = d.getDay();
      this.productitem.dayString = this.weekday[this.dayNumber]
    },
    async updateProductitem() {
      await axios.put('http://127.0.0.1:5000/pharm/productitems/update', this.productitem)
      this.productitem = {
        productitem_name: '',
        productitem_id: '',
        productitem_batch: '',
        productitem_shift: '',
        productitem_date: '',
        productitem_checked: '',
        dayString: '',
        productitem_type_sanitary: ''
      }
    },
  },
}
</script>


<style scoped>
form {
  display: flex;
  flex-direction: column;
}
</style>